%sername = ""
%distlist = "Beta Uniform Normal t-dist"
!distchoice = 3
%funclist = "CDF Density Quantile RNG"
!funchoice = 4
%arg1 = ""
%arg2 = ""
%arg3 = ""

!result = @uidialog("caption", "Statistical distribution genr", _
		"edit", %sername, "Name of output series", _
		"list", !distchoice, "Distribution", %distlist, _
		"radio", !funchoice, "Function type", %funclist, _
		"edit", %arg1, "Parameter 1", _
		"edit", %arg2, "Parameter 2", _
		"edit", %arg3, "Parameter 3" _
		)
		
		
if !result = -1 then
	stop
endif

if @len(%sername)=0 then
	@uiprompt("Please enter a series name")
	stop
endif

%cmd = "series " + %sername + "="
if !funchoice = 1 then
	%cmd = %cmd + "@c"
endif
if !funchoice = 2 then
	%cmd =%cmd + "@d"
endif
if !funchoice = 3 then
	%cmd =%cmd + "@q"
endif
if !funchoice = 4 then
	%cmd =%cmd + "@r"
endif

if !distchoice = 1 then
	!numargs = 3
	if !funchoice = 4 then
		!numargs = 2
	endif
	%cmd = %cmd + "beta"
endif
if !distchoice = 2 then
	!numargs = 3
	if !funchoice = 4 then
		!numargs = 2
	endif
	%cmd = %cmd + "unif"
endif
if !distchoice = 3 then
	!numargs = 1
	if !funchoice = 4 then
		!numargs = 0
	endif
	%cmd = %cmd + "norm"
endif
if !distchoice = 4 then
	!numargs = 2
	if !funchoice = 4 then
		!numargs = 1
	endif
	%cmd = %cmd + "tdist"
endif

if !numargs > 0 then
	%cmd = %cmd + "(" + %arg1
	if !numargs > 1 then
		%cmd = %cmd + ", " + %arg2
		if !numargs > 2 then
			%cmd = %cmd + ", " + %arg3
		endif
	endif
	%cmd = %cmd + ")"
endif

{%cmd}

